API Reference
Webhook deliveries
Search delivery logs, inspect attempts, and redeliver an event.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
endpointId?string
event?string
Value in
"call.pre_call" | "call.status" | "call.report" | "call.analysis" | "call.recording" | "imessage.received" | "imessage.reaction_received" | "imessage.sent" | "imessage.delivered" | "imessage.delivery_failed"agentId?string
status?string
Value in
"pending" | "delivering" | "succeeded" | "failed" | "cancelled" | "expired"sessionId?string
Format
uuideventId?string
Speko lifecycle webhook UUID or stable provider event ID.
from?string
Format
date-timeto?string
Format
date-timecursor?string
Opaque cursor from a previous response.
limit?integer
Default
50Range
1 <= value <= 100Response Body
application/json
application/json
application/json
{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"eventId": "string",
"endpointId": "string",
"endpointName": "string",
"endpointKind": "workspace",
"endpointDeleted": true,
"event": "call.pre_call",
"sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459",
"agentId": "string",
"webhookTags": {
"property1": "string",
"property2": "string"
},
"status": "pending",
"attempts": 0,
"httpStatus": 0,
"error": "string",
"occurredAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"deliveredAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"canRedeliver": true
}
],
"nextCursor": "string",
"endpointOptions": [
{
"id": "string",
"name": "string",
"kind": "workspace",
"deleted": true
}
]
}{
"error": "Invalid request body",
"code": "VALIDATION_ERROR"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
{
"attemptCount": 0,
"requestPayload": {},
"attempts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"attemptNumber": 0,
"trigger": "automatic",
"requestUrl": "string",
"requestHeaders": {},
"requestBody": {},
"responseStatus": 0,
"responseBody": "string",
"responseTruncated": true,
"durationMs": 0,
"error": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Empty
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
{
"delivered": true,
"httpStatus": 0,
"error": "string"
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}Empty
Empty